Package ru.bitel.bgbilling.kernel.network.radius

# Interface RadiusProtocolHandler

    public interface RadiusProtocolHandler

Обработчик RADIUS-запросов

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default java.lang.String` | `overrideNasIdentifier​(RadiusPacket request)` | Возможность переопределения NAS-Identifier, для того, чтобы запрос обрабатывался другим NAS-ом.
  `void` | `postprocessAccessRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` | Постобработка RADIUS-запроса Access-Request
  `void` | `postprocessAccountingRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` | Постобработка RADIUS-запроса Accounting-Request
  `void` | `preprocessAccessRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` | Предобработка RADIUS-запроса Access-Request
  `void` | `preprocessAccountingRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` | Предобработка RADIUS-запроса Accounting-Request

- ## Method Details

  - ### overrideNasIdentifier

    default java.lang.String overrideNasIdentifier​(RadiusPacket request) throws java.lang.Exception
    Возможность переопределения NAS-Identifier, для того, чтобы запрос обрабатывался другим NAS-ом. Должен работать одинаково и для Access-Request, и для Accounting-Request.
    Parameters:
      `request` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### preprocessAccessRequest

    void preprocessAccessRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws java.lang.Exception
    Предобработка RADIUS-запроса Access-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `java.lang.Exception`

  - ### postprocessAccessRequest

    void postprocessAccessRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws java.lang.Exception
    Постобработка RADIUS-запроса Access-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `java.lang.Exception`

  - ### preprocessAccountingRequest

    void preprocessAccountingRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws java.lang.Exception
    Предобработка RADIUS-запроса Accounting-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `java.lang.Exception`

  - ### postprocessAccountingRequest

    void postprocessAccountingRequest​(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws java.lang.Exception
    Постобработка RADIUS-запроса Accounting-Request
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `java.lang.Exception`